Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

Retrieves the protocol

Request

Security
Bearer
Path
idinteger(int32)required

The id for the protocol

Query
includeFullStepDataboolean

If full step data should be included, basic step data is always included

Default true
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/{id}?includeFullStepData=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The protocol

Bodyapplication/json
idinteger(int32)

The database id for the protocol

namestring or null

The name of the protocol

deckobject(DeckLayoutGetDto)

The defined deck layout for a protocol

hardwareRequirementsobject(HardwareRequirements)
stepsArray of StepGetDto (object) or AddReagentStepGetDto (object) or ReplicateSamplesStepGetDto (object) or TransferSamplesStepGetDto (object) or HeatShakeStepGetDto (object) or PauseStepGetDto (object) or HitPickingStepGetDto (object) or SerialDilutionStepGetDto (object) or RtsaStepGetDto (object) or BarcodeStepGetDto (object) or TransportStepGetDto (object) or NormalizationStepGetDto (object) or ReagentFromFileStepGetDto (object) or LightingStepGetDto (object) or HeatCoolStepGetDto (object) or LidStepGetDto (object) or HepaStepGetDto (object) or null

The list of steps

isValidboolean

The flag determining if the protocol is valid (has been verified to run)

isFavoriteboolean

Whether or not the protocol is a user favorite

validationErrorsArray of strings or null

The validation errors found during the last verification, will be empty if isValid is true.

createdDateTimestring(date-time)

The date the protocol was created

createdByUserNamestring or null

The name of the user that created the protocol

lastModifiedDateTimestring(date-time)

The date the protocol was modified last

lastModifiedUserstring or null

The user that last modified the protocol

lastRunDateTimestring(date-time)

The date the protocol was last run

lastRunUserstring or null

The name of the user that last ran the protocol

isHiddenboolean

Whether the protocol should be hidden or visible

isReadOnlyboolean

Whether or not the protocol can be modified

reportSettingsobject(ReportSettingsDto)
Response
application/json
{ "id": 0, "name": "string", "deck": { "id": 0, "positions": [] }, "hardwareRequirements": { "hhs": true, "hhc": true, "hepaUv": true, "twoChannel": true, "mph": true, "siteOne": true }, "steps": [ {} ], "isValid": true, "isFavorite": true, "validationErrors": [ "string" ], "createdDateTime": "2019-08-24T14:15:22Z", "createdByUserName": "string", "lastModifiedDateTime": "2019-08-24T14:15:22Z", "lastModifiedUser": "string", "lastRunDateTime": "2019-08-24T14:15:22Z", "lastRunUser": "string", "isHidden": true, "isReadOnly": true, "reportSettings": { "savePdf": true, "saveJson": true, "savePipettingCsv": true, "pipettingCsvPerStep": true, "reportPath": "string" } }

Validates the name for a protocol

Request

Security
Bearer
Path
protocolIdinteger(int32)required

The id for the protocol

namestringrequired

The name to be validated

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/validate-name/{protocolId}/{name}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The result of the protocol name validation

Bodyapplication/json
any
Response
application/json
null

Validates a protocol

Request

In order to run any protocol, it must first be validated. The validation process verifies that the data provided is correct and that the protocol can run successfully. If the protocol is not valid, the errors returned should show which parameters or steps are incorrect or will cause runtime problems.

Security
Bearer
Path
protocolIdinteger(int32)required

The id for the protocol

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/validate/{protocolId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The result of the protocol name validation

Bodyapplication/json
isValidboolean

Check in the protocol is valid

validationErrorsArray of strings or null

The validation errors, will be empty if isValid is true

Response
application/json
{ "isValid": true, "validationErrors": [ "string" ] }

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations